Loading...
Searching...
No Matches
opencc::MultiValueDictEntry Class Reference
Inheritance diagram for opencc::MultiValueDictEntry:

## Public Member Functions

virtual std::string | ToString () const
Public Member Functions inherited from opencc::DictEntry
virtual std::string_view | KeyView () const =0
virtual std::string_view | GetDefaultView () const =0
virtual std::string | Key () const
virtual std::vector< std::string > | Values () const =0
virtual std::string | GetDefault () const
virtual size_t | NumValues () const =0
size_t | KeyLength () const
bool | operator< (const DictEntry &that) const
bool | operator== (const DictEntry &that) const

## Additional Inherited Members

Static Public Member Functions inherited from opencc::DictEntry
static bool | UPtrLessThan (const std::unique_ptr< DictEntry > &a, const std::unique_ptr< DictEntry > &b)

## Member Function Documentation

## ToString()

std::string MultiValueDictEntry::ToString | ( |  | ) | const

virtual

Implements opencc::DictEntry.

The documentation for this class was generated from the following files:

- DictEntry.hpp
- DictEntry.cpp